loci.formats.in

## Class SlideBook7Reader.CFluorDef70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CFluorDef70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CFluorDef70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mAltSourcePosition`
    `java.lang.Integer` | `mAuxFilterWheel2Pos`
    `java.lang.Integer` | `mAuxFilterWheel3Pos`
    `java.lang.Integer` | `mAuxFilterWheel4Pos`
    `java.lang.Integer` | `mAuxFilterWheel5Pos`
    `java.lang.Integer` | `mAuxFilterWheel6Pos`
    `java.lang.Integer` | `mAuxFilterWheel7Pos`
    `java.lang.Integer` | `mAuxFilterWheelPos`
    `java.lang.Integer` | `mAuxNDPos`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mCamera`
    `java.lang.Integer` | `mCameraBitDepth`
    `java.lang.Integer` | `mCameraGain`
    `java.lang.Integer` | `mCameraIntensification`
    `java.lang.Integer` | `mCameraParameter1`
    `java.lang.Integer` | `mCameraPort`
    `java.lang.Integer` | `mCameraSpeed`
    `java.lang.Integer` | `mCameraVideoTurretPos`
    `java.lang.Integer` | `mChannelType`
    `java.lang.Integer` | `mDefaultColor`
    `java.lang.Integer` | `mDefaultColorDisplay`
    `java.lang.Integer` | `mEmissionWheelPos`
    `java.lang.Float` | `mExcitationLambda`
    `java.lang.Integer` | `mExcitationWheelPos`
    `java.lang.Integer` | `mFilterSet`
    `java.lang.Integer` | `mHue`
    `java.lang.Integer` | `mIlluminationMode`
    `java.lang.Integer` | `mImagingMode`
    `java.lang.Float` | `mLambda`
    `java.lang.Integer` | `mLambdaOptions`
    `java.lang.Integer` | `mLaserPowerPos`
    `java.lang.Integer` | `mLCDPos`
    `java.lang.Integer` | `mLightSource`
    `java.lang.String` | `mName`
    `java.lang.Integer` | `mNDPos`
    `java.lang.Integer` | `mNumExposuresAverage`
    `java.lang.Integer` | `mOcularPhotoTurretPos`
    `java.lang.Float[]` | `mRGBFactor`
    `java.lang.Integer` | `mSaturation`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Integer` | `mTIRFPos`
    `java.lang.Boolean` | `mTransmittedModePrompt`
    `java.lang.Integer` | `mTurretPosition`
    `java.lang.Boolean` | `mUV`
    `java.lang.Integer` | `mValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFluorDef70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mName

          public java.lang.String mName

    - #### mLaserPowerPos

          public java.lang.Integer mLaserPowerPos

    - #### mCameraBitDepth

          public java.lang.Integer mCameraBitDepth

    - #### mAuxFilterWheel7Pos

          public java.lang.Integer mAuxFilterWheel7Pos

    - #### mNumExposuresAverage

          public java.lang.Integer mNumExposuresAverage

    - #### mExcitationLambda

          public java.lang.Float mExcitationLambda

    - #### mAuxFilterWheel5Pos

          public java.lang.Integer mAuxFilterWheel5Pos

    - #### mAuxFilterWheel6Pos

          public java.lang.Integer mAuxFilterWheel6Pos

    - #### mLambda

          public java.lang.Float mLambda

    - #### mTurretPosition

          public java.lang.Integer mTurretPosition

    - #### mUV

          public java.lang.Boolean mUV

    - #### mImagingMode

          public java.lang.Integer mImagingMode

    - #### mExcitationWheelPos

          public java.lang.Integer mExcitationWheelPos

    - #### mEmissionWheelPos

          public java.lang.Integer mEmissionWheelPos

    - #### mLightSource

          public java.lang.Integer mLightSource

    - #### mTransmittedModePrompt

          public java.lang.Boolean mTransmittedModePrompt

    - #### mLambdaOptions

          public java.lang.Integer mLambdaOptions

    - #### mAuxFilterWheel4Pos

          public java.lang.Integer mAuxFilterWheel4Pos

    - #### mDefaultColor

          public java.lang.Integer mDefaultColor

    - #### mChannelType

          public java.lang.Integer mChannelType

    - #### mLCDPos

          public java.lang.Integer mLCDPos

    - #### mTIRFPos

          public java.lang.Integer mTIRFPos

    - #### mRGBFactor

          public java.lang.Float[] mRGBFactor

    - #### mFilterSet

          public java.lang.Integer mFilterSet

    - #### mCamera

          public java.lang.Integer mCamera

    - #### mOcularPhotoTurretPos

          public java.lang.Integer mOcularPhotoTurretPos

    - #### mCameraVideoTurretPos

          public java.lang.Integer mCameraVideoTurretPos

    - #### mIlluminationMode

          public java.lang.Integer mIlluminationMode

    - #### mAltSourcePosition

          public java.lang.Integer mAltSourcePosition

    - #### mCameraGain

          public java.lang.Integer mCameraGain

    - #### mCameraSpeed

          public java.lang.Integer mCameraSpeed

    - #### mCameraIntensification

          public java.lang.Integer mCameraIntensification

    - #### mCameraPort

          public java.lang.Integer mCameraPort

    - #### mCameraParameter1

          public java.lang.Integer mCameraParameter1

    - #### mNDPos

          public java.lang.Integer mNDPos

    - #### mHue

          public java.lang.Integer mHue

    - #### mSaturation

          public java.lang.Integer mSaturation

    - #### mValue

          public java.lang.Integer mValue

    - #### mAuxFilterWheelPos

          public java.lang.Integer mAuxFilterWheelPos

    - #### mDefaultColorDisplay

          public java.lang.Integer mDefaultColorDisplay

    - #### mAuxNDPos

          public java.lang.Integer mAuxNDPos

    - #### mAuxFilterWheel2Pos

          public java.lang.Integer mAuxFilterWheel2Pos

    - #### mAuxFilterWheel3Pos

          public java.lang.Integer mAuxFilterWheel3Pos

  - ### Constructor Detail

    - #### CFluorDef70

          CFluorDef70()

Copyright © 2026 Open Microscopy Environment